Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.unittest
Class TestSyndFeedRSS10

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.sun.syndication.unittest.FeedTest
                  com.sun.syndication.unittest.SyndFeedTest
                      com.sun.syndication.unittest.TestSyndFeedRSS090
                          com.sun.syndication.unittest.TestSyndFeedRSS10

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  TestSyndFeedRSS10DCMulti, TestSyndFeedRSS10DCSyModules

    public class TestSyndFeedRSS10

extends TestSyndFeedRSS090

Author:
  pat

Constructor Summary
`` | `TestSyndFeedRSS10()`
`protected` | `TestSyndFeedRSS10(String type)`
`protected` | `TestSyndFeedRSS10(String feedType, String feedFileName)`

Method Summary
`protected void` | `_testItem(int i)`
`protected void` | `_testUri(SyndEntry entry, int i)`
`void` | `testUri()`

Methods inherited from class com.sun.syndication.unittest.TestSyndFeedRSS090
`testDescription, testEntryDescription, testEntryLink, testEntryPublishedDate, testEntryTitle, testImage, testImageLink, testImageTitle, testImageUrl, testItem0, testItem1, testLanguage, testLink, testPublishedDate, testTitle`

Methods inherited from class com.sun.syndication.unittest.SyndFeedTest
`assertEqualsStr, assertProperty, getEntryAuthor, getEntryDescription, getEntryLink, getEntryPublishedDate, getEntryTitle, getPrefix, tearDown, testEntries, testPreserveWireFeed, testType`

Methods inherited from class com.sun.syndication.unittest.FeedTest
`getCachedJDomDoc, getCachedSyndFeed, getCachedSyndFeed, getCachedWireFeed, getFeedFileName, getFeedReader, getJDomDoc, getSyndFeed, getWireFeed`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestSyndFeedRSS10

    public TestSyndFeedRSS10()

### TestSyndFeedRSS10

    protected TestSyndFeedRSS10(String type)

### TestSyndFeedRSS10

    protected TestSyndFeedRSS10(String feedType,
                                String feedFileName)

Method Detail

### testUri

    public void testUri()
                 throws Exception

  Throws:
    `Exception`

### _testItem

    protected void _testItem(int i)
                      throws Exception

  Overrides:
    `_testItem` in class `TestSyndFeedRSS090`
  Throws:
    `Exception`

### _testUri

    protected void _testUri(SyndEntry entry,
                            int i)
                     throws Exception

  Overrides:
    `_testUri` in class `TestSyndFeedRSS090`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.